| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Classes | Public Types | Public Member Functions | List of all members
Ogre::StaticGeometry::LODBucket Class Reference

A LODBucket is a collection of smaller buckets with the same LOD. More...

`#include <OgreStaticGeometry.h>`

Inheritance diagram for Ogre::StaticGeometry::LODBucket:
[legend]

## Public Types
typedef std::map< String, MaterialBucket * > | MaterialBucketMap
| Lookup of Material Buckets in this region. More...
typedef MapIterator< MaterialBucketMap > | MaterialIterator
| Iterator over the materials in this LOD. More...

## Public Member Functions
| LODBucket (Region *parent, unsigned short lod, Real lodValue)
virtual | ~LODBucket ()
void | addRenderables (RenderQueue *queue, uint8 group, Real lodValue)
| Add children to the render queue. More...
void | assign (QueuedSubMesh *qsm, ushort atLod)
| Assign a queued submesh to this bucket, using specified mesh LOD. More...
void | build (bool stencilShadows)
| Build. More...
void | dump (std::ofstream &of) const
| Dump contents for diagnostics. More...
EdgeData * | getEdgeList () const
ushort | getLod (void) const
| Get the LOD index. More...
Real | getLodValue (void) const
| Get the LOD value. More...
MaterialIterator | getMaterialIterator (void)
| Get an iterator over the materials in this LOD. More...
Region * | getParent (void)
ShadowCaster::ShadowRenderableList & | getShadowRenderableList ()
bool | isVertexProgramInUse () const
void | updateShadowRenderables (ShadowTechnique shadowTechnique, const Vector4 &lightPos, HardwareIndexBufferSharedPtr *indexBuffer, bool extrudeVertices, Real extrusionDistance, unsigned long flags=0)
void | visitRenderables (Renderable::Visitor *visitor, bool debugRenderables)

## Detailed Description

A LODBucket is a collection of smaller buckets with the same LOD.

Remarks
  LOD refers to Mesh LOD here. Material LOD can change separately at the next bucket down from this.

## Member Typedef Documentation

## ◆ MaterialBucketMap

typedef std::map<String, MaterialBucket*> Ogre::StaticGeometry::LODBucket::MaterialBucketMap

Lookup of Material Buckets in this region.

## ◆ MaterialIterator

typedef MapIterator<MaterialBucketMap> Ogre::StaticGeometry::LODBucket::MaterialIterator

Iterator over the materials in this LOD.

## Constructor & Destructor Documentation

## ◆ LODBucket()

Ogre::StaticGeometry::LODBucket::LODBucket | ( | Region * | parent,
|  | unsigned short | lod,
|  | Real | lodValue
| ) |  |

## ◆ ~LODBucket()

virtual Ogre::StaticGeometry::LODBucket::~LODBucket | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ getParent()

Region* Ogre::StaticGeometry::LODBucket::getParent | ( | void |  | ) |
| inline

## ◆ getLod()

ushort Ogre::StaticGeometry::LODBucket::getLod | ( | void |  | ) | const
| inline

Get the LOD index.

## ◆ getLodValue()

Real Ogre::StaticGeometry::LODBucket::getLodValue | ( | void |  | ) | const
| inline

Get the LOD value.

## ◆ assign()

void Ogre::StaticGeometry::LODBucket::assign | ( | QueuedSubMesh * | qsm,
|  | ushort | atLod
| ) |  |

Assign a queued submesh to this bucket, using specified mesh LOD.

## ◆ build()

void Ogre::StaticGeometry::LODBucket::build | ( | bool | stencilShadows | ) |

Build.

## ◆ addRenderables()

void Ogre::StaticGeometry::LODBucket::addRenderables | ( | RenderQueue * | queue,
|  | uint8 | group,
|  | Real | lodValue
| ) |  |

Add children to the render queue.

## ◆ getMaterialIterator()

MaterialIterator Ogre::StaticGeometry::LODBucket::getMaterialIterator | ( | void |  | ) |

Get an iterator over the materials in this LOD.

## ◆ dump()

void Ogre::StaticGeometry::LODBucket::dump | ( | std::ofstream & | of | ) | const

Dump contents for diagnostics.

## ◆ visitRenderables()

void Ogre::StaticGeometry::LODBucket::visitRenderables | ( | Renderable::Visitor * | visitor,
|  | bool | debugRenderables
| ) |  |

## ◆ getEdgeList()

EdgeData* Ogre::StaticGeometry::LODBucket::getEdgeList | ( |  | ) | const
| inline

## ◆ getShadowRenderableList()

ShadowCaster::ShadowRenderableList& Ogre::StaticGeometry::LODBucket::getShadowRenderableList | ( |  | ) |
| inline

## ◆ isVertexProgramInUse()

bool Ogre::StaticGeometry::LODBucket::isVertexProgramInUse | ( |  | ) | const
| inline

## ◆ updateShadowRenderables()

void Ogre::StaticGeometry::LODBucket::updateShadowRenderables | ( | ShadowTechnique | shadowTechnique,
|  | const Vector4 & | lightPos,
|  | HardwareIndexBufferSharedPtr * | indexBuffer,
|  | bool | extrudeVertices,
|  | Real | extrusionDistance,
|  | unsigned long | flags = `0`
| ) |  |

The documentation for this class was generated from the following file:

- OgreStaticGeometry.h